
Redmine - Defect #23558

IssueImportTest#test_should_not_import_with_default_tracker_when_tracker_is_invalid fails

randomly

2016-08-10 12:14 - Stefan Rinkes

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.3.1   

Resolution: Fixed Affected version: 3.3.0

Description

To test redmine plugins, I also run redmine tests to verify the plugin doesn't screw things up.

But sometimes I get this Test Failure:

  1) Failure:

IssueImportTest#test_should_not_import_with_default_tracker_when_tracker_is_invalid [test/unit/iss

ue_import_test.rb:89]:

"Tracker cannot be blank" not found in "Tracker doit être renseigné(e)

Statut doit être renseigné(e)" 

 What I do is:

$ rake db:drop db:create db:migrate redmine:plugins:migrate RAILS_ENV=test REDMINE_LANG=en

....

$ rake redmine:load_default_data RAILS_ENV=test REDMINE_LANG=en

Default configuration data loaded.

$ rake test

....

 I happens about once in three runs.

Redmine Version is 3.3.0.

Setting REDMINE_LANG for rake test doesn't help.

Any Ideas?

Associated revisions

Revision 15824 - 2016-09-08 16:25 - Toshi MARUYAMA

Merged r15511 from trunk to 3.3-stable (#22951, #23558)

Set default language in import tests.

Revision 15828 - 2016-09-08 17:01 - Toshi MARUYAMA

Merged r15512 from trunk to 3.3-stable (#22951, #23558)

Include required module.

History

#1 - 2016-09-08 16:20 - Toshi MARUYAMA

- Subject changed from running rake test might result in strange failure to

IssueImportTest#test_should_not_import_with_default_tracker_when_tracker_is_invalid fails randomly

- Category set to Code cleanup/refactoring

- Target version set to 3.3.1
#2 - 2016-09-08 20:14 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Merged r15511 and r15512 from trunk.

Thanks for pointing out.
